-- VNurse.ddl
-- DDL file for creating tables and populating data for "Visiting Nurse" application on    server side

-- SQL statement to CREATE DATABASE
-- database name "VNURSE" can translated
-- if translated it should correspond to the sample database name in other ddl files 

CREATE DATABASE INFIRL;

-- SQL statement to increase heap size

UPDATE DB CONFIG FOR INFIRL USING APPLHEAPSZ 512;

-- SQL statement to CONNECT to database "VNURSE"
 
CONNECT TO INFIRL;

-- SQL statement to create sample schema
-- New change
 
CREATE SCHEMA DSYSAMPLE;

--- SQL statement to CREATE tables
--- table names "VNPerson", "VNMedicalRecord", "VNContact", and "VNSchedule"
--- can be translated
--- "ID", "Name", "Address", "City", "HomePhone", "WorkPhone", and "MobilePhone"
--- are the column names of table "VNPerson", and can be translated
--- "DSYSAMPLE" IS NEW BUT SHOULD NOT BE TRANSLATED!!

CREATE TABLE DSYSAMPLE.ILPersonne (ID Char(9) not null PRIMARY KEY, Nom Varchar(40), Adresse Varchar(50), Ville Varchar(25), TelPrive Varchar(20), TelProf Varchar(20), Mobile Varchar(20));


--- "RecordID", "Date_C", "Time_C", "PatientID", "BloodPressure", "PulseRate", "Temperature", 
--- "Weight", and "Comment" are column names of the table "VNMedicalRecord", and can be translated

CREATE TABLE DSYSAMPLE.ILDossierMedical (IDENREG Integer not null PRIMARY KEY, Date_C Date, Time_C Time, IDPatient Varchar(9), TensionArterielle Char(7), Pouls Smallint, Temperature Decimal(4,1), Poids Decimal(5,2), Commentaire Varchar(100));


--- "PatientID", "ContactID", and "Relationship" are column names of the table "VNContact"
--- and can be translated

CREATE TABLE DSYSAMPLE.ILContact (IDPatient Char(9) not null, IDContact Char(9) not null, Relation Varchar(10), Primary Key (IDPatient, IDContact));


--- "PatientID", "Time_C" are column names of table "VNSchedule", and can be translated

CREATE TABLE DSYSAMPLE.ILAgenda (IDPatient Varchar(9), Time_C Time not null PRIMARY KEY);



--- New for translation
--- "RecordID", "NurseName" and "Signature" are columns of table "VNSignature" and can be --- translated 

CREATE TABLE DSYSAMPLE.ILSignature (IDEnreg Integer not null PRIMARY KEY, NomInfir Varchar(40), Signature long varchar for bit data);


---- SQL statement to INSERT data into VNPerson table
-- Patients

--- Example translatable values for "VNPerson" table
---- 'Casenave, Henri' is the name of a patient limited to 40 characters
---- '1 av. du 8 mai 1945' is an "Address" limited to 50 charaters
---- 'Savigny le Temple, 77176' is a "City" limited to 25 characters
---- '01-78-34-45-94' is a "HomePhone" limited to 20 characters
---- '01-74-97-50-60' is a "WorkPhone" limited to 20 characters
---- '06-44-23-03-00' is a "MobilePhone"  limited to 20 characters

INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000001',	'Casenave, Henri',	  	    '1 av. du 8 mai 1945', 			      'Savigny le Temple, 77176',      '01-78-34-45-94', '01-74-97-50-60', '06-44-23-03-00');


INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000101',	'Huet, Christine',	    '3 rue Jules Raimu', 		        'Lognes, 77185',    '01-94-59-91-68', '01-66-40-90-00', '06-30-52-59-10');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000201',	'Tourneur, Michel', 		'24 rue de la Mairie',		    'Jablines, 77450',      '01-26-91-65-50',	'01-26-97-41-00', '06-30-56-35-90');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000301',	'Kwan, Sylvie', 	  	    '9 pl. de l''Eglise',		  'Messy, 77410',      '01-33-90-53-70',	'01-26-91-54-80', '06-89-86-48-30');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000401',	'Hauvette, Elise', 		'12 rue Vaux',		    'Livry sur Seine, 77000',  '01-75-54-04-10',	'01-94-53-60-20', '06-26-54-35-00');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000501',	'Casenave, Bernard', 		    'Grande rue',	    'Gurard, 77580',      '01-26-50-83-60',	'01-25-49-37-40', '06-89-71-02-00');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000601',	'Leroy, Vincent', 	'BP 13',			        'Everly, 77157',    '01-66-54-02-10',	'01-66-47-34-80', '06-89-43-19-90');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000701',	'Acevedo, Samuel', 	  	  '220 rue Albert Schweitzer',		  'Witry les Reims, 51420',     '03-35-84-48-40',	'04-22-78-28-10', '06-33-94-73-40');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000801',	'Quintana, Dorothe', 		'17 rue du Docteur Sureau',		    'Noisy le Grand, 93160',      '01-62-21-99-90',	'01-94-56-41-80', '06-47-67-93-80');

-- Other VNPersons
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900000901',	'Yoshimura, Matthieu', '7 rue du Chteau',			    'Everly, 77157',    '01-66-53-78-80',	'01-47-68-12-70', '06-33-90-46-70');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001001',	'Scoutten, Maud', 		'14 rue Benjamin Brunet',	  'Nanteuil les Meaux, 77100',   '01-46-74-89-30',	'01-56-74-64-80', '06-76-42-48-30');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001101',	'Acevedo, Marc', 		  '24 rue de la Mairie',		    'Noisy le Grand, 93160',   '01-46-12-42-10',	'01-56-74-31-00', '06-57-56-61-70');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001201',	'Shenton, Sabrina', 	  	'6 av. du Marchal Foch',  'Chatou, 78400',     '01-27-49-51-40',	'01-47-64-30-90', '06-25-47-61-60');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001301',	'Brun, David',	  	    '17 rue du Docteur Sureau',		    'Lyon, 69001',  '04-76-52-08-20',	'04-89-82-92-90', '06-94-56-54-10');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001401',	'Acevedo, Jeanne', 	  '2 rue Montaigne',	'Noisy le Grand, 93160',      '01-62-21-84-00',	'01-23-14-96-60', '06-76-57-37-60');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001501',	'Parker, Jol', 	  	  '14 rue Samuel de Champlain',	    'Honfleur, 14600',    '02-56-79-74-10',	'02-83-77-52-90', '06-38-10-77-80');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001601',	'Thomson, Maria', 	  	'2 imp. Hippolyte Fabre',		    'Frjus, 83600',     '04-73-84-60-40',	'04-38-13-90-20', '06-27-40-15-30');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001701',	'Gounot, Jacques', 	  	  '7 pl. de la Gare',		  'Chamonix, 74400',    '04-76-43-03-50',	'04-56-72-19-00', '06-30-51-84-20');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001801',	'Labat, Jeanne', 	  	      '11 av. Sainte Croix',			    'Bayonne, 64100',     '05-89-45-72-40',	'05-66-51-47-80', '06-76-59-35-80');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900001901',	'Salas, Philippe', 		    '6 rue de l''Ocan',  'Biarritz, 64200',    '05-43-56-72-90',	'05-83-74-37-00', '06-47-65-35-00');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900002001',	'Schneider, Martin',	  '11 rue de Reims',		  'Epernay, 51200',     '03-54-36-82-70',	'03-46-19-96-10', '06-24-20-49-10');
INSERT INTO DSYSAMPLE.ILPersonne VALUES ('900002101',	'Jouvel, William', 		  '5 rue Amiral Linois',	  'Brest, 29200',  '02-66-42-38-20',	'02-37-47-42-10', '06-53-38-71-60');

---- SQL statement to INSERT data into VNContact table
-- For patient 900000001


--- Example translatable values for the "VNContact" table
---- 'Ami(e)' is a "Relationship" limited to 10 characters

INSERT INTO DSYSAMPLE.ILContact VALUES ('900000001',	'900001201',	'Ami(e)');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000001',	'900001101',	'Chef');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000001',	'900001001',	'Soeur');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000001',	'900000901',	'Ami(e)');

-- For patient 900000101
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000101',	'900001501',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000101',	'900001301',	'Oncle');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000101',	'900001401',	'Soeur');

-- For patient 900000201
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000201',	'900001701',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000201',	'900001601',	'Mre');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000201',	'900001801',	'Marraine');

-- For patient 900000301
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000301',	'900001901',	'Ami(e)');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000301',	'900002101',	'Chef');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000301',	'900002001',	'Frre');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000301',	'900001201',	'Soeur');

-- For patient 900000401
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000401',	'900001101',	'Ami(e)');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000401',	'900001401',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000401',	'900000701',	'Chef');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000401',	'900002101',	'Ami(e)');

-- For patient 900000501
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000501',	'900001801',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000501',	'900001001',	'Soeur');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000501',	'900001201',	'Ami(e)');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000501',	'900001101',	'Ami(e)');

-- For patient 900000601
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000601',	'900001301',	'Parrain');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000601',	'900001501',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000601',	'900001701',	'Oncle');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000601',	'900001901',	'Oncle');

-- For patient 900000701
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000701',	'900001101',	'Frre');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000701',	'900001001',	'Chef');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000701',	'900001201',	'Ami(e)');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000701',	'900001501',	'Collgue');

-- For patient 900000801
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000801',	'900001101',	'Frre');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000801',	'900001901',	'Collgue');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000801',	'900001401',	'Mre');
INSERT INTO DSYSAMPLE.ILContact VALUES ('900000801',	'900001701',	'Oncle');


---- SQL statement to INSERT data into VNSchedule table

INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000001',	'08:00:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000701',	'08:45:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000101',	'10:00:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000801',	'11:15:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000201',	'11:45:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000401',	'14:15:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000501',	'15:30:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000601',	'16:15:00');
INSERT INTO DSYSAMPLE.ILAgenda VALUES ('900000301',	'17:00:00');

---- SQL statement to INSERT data into Medical Record table

--- Example translatable values for the "VNMedicalRecord" table
---- '160/95' is the blood pressure (systolic/diastolic) (are the units the same everywhere?) 
---- 80 is the pulse rate
---- 104.2 is the temperature in degress Farenheit
---- 150.5 is the weight in pounds (lbs.)
---- 'SAMU appel. Admis  l'hpital.' is a comment, limited to 100 characters

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (1,	  '1999-07-20',	'09:10:00',	'900000001',	'160/95',	80,	104.2,	150.5,  'SAMU appel. Admis  l''hpital.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (2,	  '1999-07-19',	'19:53:00',	'900000001',	'155/90',	72,	100.5, 	154.5,	'Administration d''un analgsique fort.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (3,	  '2000-06-13',	'18:42:00',	'900000001',	'130/80',	65,	100.2,	170,	  'Absence d''une journe.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (4,	  '2000-05-07',	'17:54:00',	'900000001',	'140/83',	68,	101,	  175.2,  'Rgime suggr');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (5,	  '2000-04-14',	'14:56:00',	'900000101',	'130/84',	59,	99.4,	  192,	  'Prvoir une infirmire spcialise pour la semaine prochaine.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (6,	  '2000-03-15',	'12:49:00',	'900000101',	'120/85',	60,	103,	  192,	  'Prvoir une infirmire spcialise pour demain.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (7,	  '1999-02-07',	'01:02:00',	'900000101',	'115/86',	51,	102.8,	189,	  'Dsinfection des blessures et pose de pansements.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (8,	  '1999-07-15',	'11:02:00',	'900000201',	'135/87',	73,	104.2,	169,	  'Hospitalisation suggre pour une meilleure prise en charge.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (9,	  '1999-07-13',	'11:47:00',	'900000201',	'180/98',	70,	100.7,	174,	  'Rtablissement du patient, mais repos ncessaire.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (10,	'1999-06-08',	'01:17:00',	'900000301',	'200/99',	55,	99,		  148,	  'Administration de mdicaments contre le mal de tte.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (11,	'1999-05-12',	'16:40:00',	'900000301',	'175/80',	56,	99.6,	  154,		'Absence d''une journe.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (12,	'2000-04-19',	'00:11:00',	'900000301',	'166/81',	51,	106,		145,	  'SAMU appel. Admis  l''hpital.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (13,	'2000-03-19',	'03:38:00',	'900000401',	'175/82',	76,	98.6,   117,	  'Stable.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (14,	'2000-02-17',	'09:04:00',	'900000401',	'152/83',	65,	98,		  115,	  'Absence d''une journe.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (15,	'2000-01-20',	'00:50:00',	'900000401',	'132/84',	72,	98,		  110.2,	'Absence d''une journe.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (16,	'1999-08-08',	'03:25:00',	'900000501',	'174/85',	72,	98,		  171.2,	'En bonne sant.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (17,	'1999-07-08',	'11:31:00',	'900000501',	'165/86',	69,	97.9,	  171,	  'Bandage de la cheville tordue.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (18,	'1999-06-04',	'13:44:00',	'900000501',	'180/87',	68,	98.2,	  181,	  'Bandage du doigt cass.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (19,	'2000-05-04',	'02:46:00',	'900000601',	'110/88',	77,	98.4,	  250,	  'Ok');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (20,	'1999-04-22',	'02:03:00',	'900000601',	'175/89',	60,	105,	  245,	  'Trs malade, hospitalisation recommande.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (21,	'2000-03-04',	'04:46:00',	'900000701',	'183/90',	51,	99,		  182,	  'Entretien uniquement.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (22,	'2000-02-16',	'19:20:00',	'900000701',	'107/91',	60,	99.5,	  175,	  'Absence d''une journe.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (23,	'1999-01-23',	'15:47:00',	'900000701',	'122/92',	54,	100,	  178,	  'Absence d''une journe.');

INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (24,	'2000-07-20',	'11:37:00',	'900000801',	'162/93',	73,	104.5,  130,	  'Gravement malade. Avertir ses proches immdiatement.');
INSERT INTO DSYSAMPLE.ILDossierMedical VALUES (25,	'1999-07-06',	'17:16:00',	'900000801',	'163/94',	51,	101.9,  127,	  'Hospitalisation suggre pour une meilleure prise en charge.');

COMMIT;
CONNECT RESET;

-- SQL statement to create mirror database
-- "M_VNURSE" can be translated
-- if translated it should correspond to the mirror database name in other ddl files
-- New change


CREATE DATABASE M_INFIRL;
UPDATE DB CONFIG FOR M_INFIRL USING APPLHEAPSZ 512;

-- New for translation
-- SQL statement to create mirror database for jdbc subscription
-- "M_VN2" can be translated

CREATE DATABASE M_IL2;
UPDATE DB CONFIG FOR M_IL2 USING APPLHEAPSZ 512;



