-- VNurse.ddl
-- DDL file for creating tables and populating data for "Visiting Nurse" application on    server side

-- SQL statement to CREATE DATABASE
-- database name "VNURSE" can translated
-- if translated it should correspond to the sample database name in other ddl files 

CREATE DATABASE VNURSE;

-- SQL statement to increase heap size

UPDATE DB CONFIG FOR VNURSE USING APPLHEAPSZ 512;

-- SQL statement to CONNECT to database "VNURSE"
 
CONNECT TO VNURSE;

-- SQL statement to create sample schema
-- New change
 
CREATE SCHEMA DSYSAMPLE;

--- SQL statement to CREATE tables
--- table names "VNPerson", "VNMedicalRecord", "VNContact", and "VNSchedule"
--- can be translated
--- "ID", "Name", "Address", "City", "HomePhone", "WorkPhone", and "MobilePhone"
--- are the column names of table "VNPerson", and can be translated
--- "DSYSAMPLE" IS NEW BUT SHOULD NOT BE TRANSLATED!!

CREATE TABLE DSYSAMPLE.ӤH (ID Char(9) not null PRIMARY KEY, mW Varchar(40), a} Varchar(50),  Varchar(25), aιq Varchar(20), qq Varchar(20), ʹq Varchar(20));


--- "RecordID", "Date_C", "Time_C", "PatientID", "BloodPressure", "PulseRate", "Temperature", 
--- "Weight", and "Comment" are column names of the table "VNMedicalRecord", and can be translated

CREATE TABLE DSYSAMPLE.f (OID Integer not null PRIMARY KEY,  Date, ɶ Time, fHID Varchar(9),  Char(7), ߷i Smallint,  Decimal(4,1), 魫 Decimal(5,2),  Varchar(100));


--- "PatientID", "ContactID", and "Relationship" are column names of the table "VNContact"
--- and can be translated

CREATE TABLE DSYSAMPLE.sH (fHID Char(9) not null, sHID Char(9) not null, Y Varchar(10), Primary Key  (fHID, sHID));


--- "PatientID", "Time_C" are column names of table "VNSchedule", and can be translated

CREATE TABLE DSYSAMPLE.ƾ (fHID Varchar(9), ɶ Time not null PRIMARY KEY);



--- New for translation
--- "RecordID", "NurseName" and "Signature" are columns of table "VNSignature" and can be --- translated 

CREATE TABLE DSYSAMPLE.ñ (OID Integer not null PRIMARY KEY, @hWr Varchar(40), ñ long varchar for bit data);


---- SQL statement to INSERT data into VNPerson table
-- Patients

--- Example translatable values for "VNPerson" table
---- 'dq' is the name of a patient limited to 40 characters
---- 'ùָq 108 ' is an "Address" limited to 50 charaters
---- 'x_' is a "City" limited to 25 characters
---- '(02)2783-4946' is a "HomePhone" limited to 20 characters
---- '(02)2749-7506' is a "WorkPhone" limited to 20 characters
---- '0933-244-303' is a "MobilePhone"  limited to 20 characters

INSERT INTO DSYSAMPLE.ӤH VALUES ('900000001',	'dq',	  	    'ùָq 108 ', 			      'x_',      '(02)2783-4946', '(02)2749-7506', '0933-244-303');


INSERT INTO DSYSAMPLE.ӤH VALUES ('900000101',	'²z',	    'ŸqlF 292 Hc', 		        'Ÿq',    '(05)945-9168', ' (05)664-0900', '0921-305-259');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000201',	'y  ', 		'sn@q 123 ',		    'xn',      '(04)269-1655',	' (04)269-7410', '0935-305-635');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000301',	'Bح', 	  	    's@q 68 ',		  'xn',      '(06)339-0537',	' (06)269-1548', '0937-898-648');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000401',	'½da', 		's 103 ',		    's˥',  '(03)755-4041',	'(03)945-3602', '0922-265-435');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000501',	']a', 		    ' 259 ',	    'x',      '(04)265-0836',	' (04)254-9374', '0938-897-102');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000601',	'÷s', 	'xlF 112  13 Hc',			        'x',    '(04)665-4021',	'(04)664-7348', '0933-894-319');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000701',	'h', 	  	  'e_ 27 ',		  '',     '(07)358-4484',	' (07)227-8281', '0922-339-734');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000801',	'', 		'M 155 ',		    'x',      '(04)622-1999',	' (04)945-6418', '0935-476-438');

-- Other VNPersons
INSERT INTO DSYSAMPLE.ӤH VALUES ('900000901',	'ŭ', 'x_lF 112  13 Hc',			    'x_',    '(02)2665-3788',	'(02)2476-8127', '0921-233-046');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001001',	'v', 		'MF@q 206',	  'x_',   '(02)2467-4893',	' (02)2567-4648', '0938-764-248');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001101',	'«̴f', 		  'sn@q 123 ',		    'x_',   '(02)2461-2421',	' (02)2567-4310', '0935-575-661');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001201',	'i', 	  	' 286 ',  'x_',     '(02)2274-9514',	'(02)2476-4309', '0933-254-761');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001301',	'Qۻ',	  	    'M 155 ',		    'x',  '(04)765-2082',	' (04)898-2929', '0921-945-654');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001401',	'P', 	  'R 3 q 23  7 ',	'x_',      '(02)2622-1840',	' (02)2231-4966', '0935-765-737');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001501',	'fv', 	  	  'ۥߤ@ 80  7 ',	    '',    '(07)567-9741',	' (07)837-7529', '0933-381-077');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001601',	'', 	  	'sͫn 3 q 65  6 ',		    'x_',     '(02)2738-4604',	'(02)2381-3902', '0932-274-015');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001701',	'dߤ', 	  	  ' 339  5 ',		  'x',    '(04)764-3035',	' (04)567-2190', '0921-305-184');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001801',	'ís', 	  	      'ø 24  8 ',			    'x_',     '(02)2894-5724',	'(02)2665-1478', '0933-765-935');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900001901',	'緽', 		    'H 3  24  1 ',  'x_',    '(02)2435-6729',	' (02)2837-4370', '0921-476-535');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900002001',	'ù',	  'u{ 24  15  3',		  'x_',     '(02)2543-6827',	' (02)2461-9961', '0933-242-049');
INSERT INTO DSYSAMPLE.ӤH VALUES ('900002101',	'ӭ', 		  ' 323  6 ',	  'xn',  '(06)664-2382',	' (06)374-7421', '0922-533-871');

---- SQL statement to INSERT data into VNContact table
-- For patient 900000001


--- Example translatable values for the "VNContact" table
---- 'B' is a "Relationship" limited to 10 characters

INSERT INTO DSYSAMPLE.sH VALUES ('900000001',	'900001201',	'B');


INSERT INTO DSYSAMPLE.sH VALUES ('900000001',	'900001101',	'Wq');
INSERT INTO DSYSAMPLE.sH VALUES ('900000001',	'900001001',	'jf');
INSERT INTO DSYSAMPLE.sH VALUES ('900000001',	'900000901',	'B');

-- For patient 900000101
INSERT INTO DSYSAMPLE.sH VALUES ('900000101',	'900001501',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000101',	'900001301',	'');
INSERT INTO DSYSAMPLE.sH VALUES ('900000101',	'900001401',	'jf');

-- For patient 900000201
INSERT INTO DSYSAMPLE.sH VALUES ('900000201',	'900001701',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000201',	'900001601',	'');
INSERT INTO DSYSAMPLE.sH VALUES ('900000201',	'900001801',	'q');

-- For patient 900000301
INSERT INTO DSYSAMPLE.sH VALUES ('900000301',	'900001901',	'B');
INSERT INTO DSYSAMPLE.sH VALUES ('900000301',	'900002101',	'Wq');
INSERT INTO DSYSAMPLE.sH VALUES ('900000301',	'900002001',	'S');
INSERT INTO DSYSAMPLE.sH VALUES ('900000301',	'900001201',	'jf');

-- For patient 900000401
INSERT INTO DSYSAMPLE.sH VALUES ('900000401',	'900001101',	'B');
INSERT INTO DSYSAMPLE.sH VALUES ('900000401',	'900001401',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000401',	'900000701',	'Wq');
INSERT INTO DSYSAMPLE.sH VALUES ('900000401',	'900002101',	'B');

-- For patient 900000501
INSERT INTO DSYSAMPLE.sH VALUES ('900000501',	'900001801',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000501',	'900001001',	'jf');
INSERT INTO DSYSAMPLE.sH VALUES ('900000501',	'900001201',	'B');
INSERT INTO DSYSAMPLE.sH VALUES ('900000501',	'900001101',	'B');

-- For patient 900000601
INSERT INTO DSYSAMPLE.sH VALUES ('900000601',	'900001301',	'B');
INSERT INTO DSYSAMPLE.sH VALUES ('900000601',	'900001501',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000601',	'900001701',	'');
INSERT INTO DSYSAMPLE.sH VALUES ('900000601',	'900001901',	'');

-- For patient 900000701
INSERT INTO DSYSAMPLE.sH VALUES ('900000701',	'900001101',	'S');
INSERT INTO DSYSAMPLE.sH VALUES ('900000701',	'900001001',	'Wq');
INSERT INTO DSYSAMPLE.sH VALUES ('900000701',	'900001201',	'B');
INSERT INTO DSYSAMPLE.sH VALUES ('900000701',	'900001501',	'P');

-- For patient 900000801
INSERT INTO DSYSAMPLE.sH VALUES ('900000801',	'900001101',	'S');
INSERT INTO DSYSAMPLE.sH VALUES ('900000801',	'900001901',	'P');
INSERT INTO DSYSAMPLE.sH VALUES ('900000801',	'900001401',	'');
INSERT INTO DSYSAMPLE.sH VALUES ('900000801',	'900001701',	'');


---- SQL statement to INSERT data into VNSchedule table

INSERT INTO DSYSAMPLE.ƾ VALUES ('900000001',	'08:00:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000701',	'08:44:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000101',	'10:00:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000801',	'11:15:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000201',	'11:45:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000401',	'14:15:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000501',	'15:30:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000601',	'16:15:00');
INSERT INTO DSYSAMPLE.ƾ VALUES ('900000301',	'17:00:00');

---- SQL statement to INSERT data into Medical Record table

--- Example translatable values for the "VNMedicalRecord" table
---- '160/95' is the blood pressure (systolic/diastolic) (are the units the same everywhere?) 
---- 80 is the pulse rate
---- 104.2 is the temperature in degress Farenheit
---- 150.5 is the weight in pounds (lbs.)
---- 'Is 119Cp|C' is a comment, limited to 100 characters

INSERT INTO DSYSAMPLE.f VALUES (1,	  '1999-07-20',	'09:10:00',	'900000001',	'160/95',	80,	104.2,	150.5,  'Is 119Cp|C');


INSERT INTO DSYSAMPLE.f VALUES (2,	  '1999-07-19',	'19:53:00',	'900000001',	'155/90',	72,	100.5, 	154.5,	'ѧjhġC');
INSERT INTO DSYSAMPLE.f VALUES (3,	  '2000-06-13',	'18:42:00',	'900000001',	'130/80',	65,	100.2,	170,	  'ݥi@ѡC');
INSERT INTO DSYSAMPLE.f VALUES (4,	  '2000-05-07',	'17:54:00',	'900000001',	'140/83',	68,	101,	  175.2,  'ĳإ߸`pe');

INSERT INTO DSYSAMPLE.f VALUES (5,	  '2000-04-14',	'14:56:00',	'900000101',	'130/84',	59,	99.4,	  192,	  'UgݭnSO@hC');
INSERT INTO DSYSAMPLE.f VALUES (6,	  '2000-03-15',	'12:49:00',	'900000101',	'120/85',	60,	103,	  192,	  'ݭnSO@hC');
INSERT INTO DSYSAMPLE.f VALUES (7,	  '1999-02-07',	'01:02:00',	'900000101',	'115/86',	51,	102.8,	189,	  'rP]϶ˤfC');

INSERT INTO DSYSAMPLE.f VALUES (8,	  '1999-07-15',	'11:02:00',	'900000201',	'135/87',	73,	104.2,	169,	  'ĳ|Hon@C');
INSERT INTO DSYSAMPLE.f VALUES (9,	  '1999-07-13',	'11:47:00',	'900000201',	'180/98',	70,	100.7,	174,	  'fw^_AݥiC');

INSERT INTO DSYSAMPLE.f VALUES (10,	'1999-06-08',	'01:17:00',	'900000301',	'200/99',	55,	99,		  148,	  'YhġC');
INSERT INTO DSYSAMPLE.f VALUES (11,	'1999-05-12',	'16:40:00',	'900000301',	'175/80',	56,	99.6,	  154,		'ݥi@ѡC');
INSERT INTO DSYSAMPLE.f VALUES (12,	'2000-04-19',	'00:11:00',	'900000301',	'166/81',	51,	106,		145,	  'Is 119Cp|C');

INSERT INTO DSYSAMPLE.f VALUES (13,	'2000-03-19',	'03:38:00',	'900000401',	'175/82',	76,	98.6,   117,	  'SܧC');
INSERT INTO DSYSAMPLE.f VALUES (14,	'2000-02-17',	'09:04:00',	'900000401',	'152/83',	65,	98,		  115,	  'ݥi@ѡC');
INSERT INTO DSYSAMPLE.f VALUES (15,	'2000-01-20',	'00:50:00',	'900000401',	'132/84',	72,	98,		  110.2,	'ݥi@ѡC');

INSERT INTO DSYSAMPLE.f VALUES (16,	'1999-08-08',	'03:25:00',	'900000501',	'174/85',	72,	98,		  171.2,	'dC');
INSERT INTO DSYSAMPLE.f VALUES (17,	'1999-07-08',	'11:31:00',	'900000501',	'165/86',	69,	97.9,	  171,	  ']ϧ˪}C');
INSERT INTO DSYSAMPLE.f VALUES (18,	'1999-06-04',	'13:44:00',	'900000501',	'180/87',	68,	98.2,	  181,	  ']_C');

INSERT INTO DSYSAMPLE.f VALUES (19,	'2000-05-04',	'02:46:00',	'900000601',	'110/88',	77,	98.4,	  250,	  'i');
INSERT INTO DSYSAMPLE.f VALUES (20,	'1999-04-22',	'02:03:00',	'900000601',	'175/89',	60,	105,	  245,	  'D`ΪAAĳ|C');

INSERT INTO DSYSAMPLE.f VALUES (21,	'2000-03-04',	'04:46:00',	'900000701',	'183/90',	51,	99,		  182,	  'ipC');
INSERT INTO DSYSAMPLE.f VALUES (22,	'2000-02-16',	'19:20:00',	'900000701',	'107/91',	60,	99.5,	  175,	  'ݥi@ѡC');
INSERT INTO DSYSAMPLE.f VALUES (23,	'1999-01-23',	'15:47:00',	'900000701',	'122/92',	54,	100,	  178,	  'ݥi@ѡC');

INSERT INTO DSYSAMPLE.f VALUES (24,	'2000-07-20',	'11:37:00',	'900000801',	'162/93',	73,	104.5,  130,	  'fAߧYpݡC');
INSERT INTO DSYSAMPLE.f VALUES (25,	'1999-07-06',	'17:16:00',	'900000801',	'163/94',	51,	101.9,  127,	  'ĳ|Hon@C');

COMMIT;
CONNECT RESET;

-- SQL statement to create mirror database
-- "M_VNURSE" can be translated
-- if translated it should correspond to the mirror database name in other ddl files
-- New change


CREATE DATABASE M_VNURSE;
UPDATE DB CONFIG FOR M_VNURSE USING APPLHEAPSZ 512;

-- New for translation
-- SQL statement to create mirror database for jdbc subscription
-- "M_VN2" can be translated

CREATE DATABASE M_VN2;
UPDATE DB CONFIG FOR M_VN2 USING APPLHEAPSZ 512;



