-- VNurse.ddl
-- DDL file for creating tables and populating data for "Visiting Nurse" application on    server side

-- SQL statement to CREATE DATABASE
-- database name "VNURSE" can translated
-- if translated it should correspond to the sample database name in other ddl files 

CREATE DATABASE MPFLEGE;

-- SQL statement to increase heap size

UPDATE DB CONFIG FOR MPFLEGE USING APPLHEAPSZ 512;

-- SQL statement to CONNECT to database "VNURSE"
 
CONNECT TO MPFLEGE;

-- SQL statement to create sample schema
-- New change
 
CREATE SCHEMA DSYSAMPLE;

--- SQL statement to CREATE tables
--- table names "VNPerson", "VNMedicalRecord", "VNContact", and "VNSchedule"
--- can be translated
--- "ID", "Name", "Address", "City", "HomePhone", "WorkPhone", and "MobilePhone"
--- are the column names of table "VNPerson", and can be translated
--- "DSYSAMPLE" IS NEW BUT SHOULD NOT BE TRANSLATED!!

CREATE TABLE DSYSAMPLE.MPPerson (ID Char(9) not null PRIMARY KEY, Name Varchar(40), Adresse Varchar(50), Stadt Varchar(25), Rufnr_Privat Varchar(20), Rufnr_Geschftl Varchar(20), Mobiltelefon Varchar(20));


--- "RecordID", "Date_C", "Time_C", "PatientID", "BloodPressure", "PulseRate", "Temperature", 
--- "Weight", and "Comment" are column names of the table "VNMedicalRecord", and can be translated

CREATE TABLE DSYSAMPLE.MPKrankenakte (Satz_ID Integer not null PRIMARY KEY, Datum Date, Zeit Time, Patienten_ID Varchar(9), Blutdruck Char(7), Pulsfrequenz Smallint, Temperatur Decimal(4,1), Gewicht Decimal(5,2), Bemerkung Varchar(100));


--- "PatientID", "ContactID", and "Relationship" are column names of the table "VNContact"
--- and can be translated

CREATE TABLE DSYSAMPLE.MPAnsprechpartner (Patienten_ID Char(9) not null, Ansprechpartner Char(9) not null, Beziehung Varchar(20), Primary Key (Patienten_ID, Ansprechpartner));


--- "PatientID", "Time_C" are column names of table "VNSchedule", and can be translated

CREATE TABLE DSYSAMPLE.MPZEITPLAN (Patienten_ID Varchar(9), Zeit Time not null PRIMARY KEY);



--- New for translation
--- "RecordID", "NurseName" and "Signature" are columns of table "VNSignature" and can be --- translated 

CREATE TABLE DSYSAMPLE.MPUnterschrift (Satz_ID Integer not null PRIMARY KEY, Name_Pflegeperson Varchar(40), Unterschrift long varchar for bit data);


---- SQL statement to INSERT data into VNPerson table
-- Patients

--- Example translatable values for "VNPerson" table
---- 'Klee, Harald' is the name of a patient limited to 40 characters
---- 'Heilbronner Str. 223' is an "Address" limited to 50 charaters
---- '70153 Stuttgart' is a "City" limited to 25 characters
---- '0711 / 83 33 10' is a "HomePhone" limited to 20 characters
---- '07 11 / 7 49 75 06' is a "WorkPhone" limited to 20 characters
---- '01 71 / 4 42 30 30' is a "MobilePhone"  limited to 20 characters

INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000001',	'Klee, Harald',	  	    'Heilbronner Str. 223', 			      '70153 Stuttgart',      '0711 / 83 33 10', '07 11 / 7 49 75 06', '01 71 / 4 42 30 30');


INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000101',	'Hass, Christine',	    'Tannenweg 4', 		        '70514 Stuttgart',    '07 11 / 3 89 99 39', '07 11 / 4 49 33 41', '01 71 / 5 89 43 24');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000201',	'Thomas, Michael', 		'Mozartallee 5',		    '80888 Mnchen',      '089 / 4334195',	'0 89 / 4 09 42 69', '01 71 / 3 95 63 59');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000301',	'Klein, Sarah', 	  	    'Schusterstr. 22',		  '80371 Mnchen',      '089 / 3390537',	'0 89 / 4 66 35 01', '01 71 / 3 38 90 42');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000401',	'Henderson, Eileen', 		'Mhlenstrae 41',		    '10573 Berlin',  '0 30 / 7 55 40 41',	'0 30 / 9 45 36 02', '0 30 / 2 65 43 50');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000501',	'Klee, Bernd', 		    'Uferstrae 73',	    '22307 Hamburg',      '0 40 / 43 53 61',	'0 40 / 3 11 73 42', '01 71 / 89 710 20');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000601',	'Lucchessi, Vincenzo', 	'Im Goldmorgen 33',			        '64295 Darmstadt',    '0 61 51 / 76 43 03',	'0 61 51 / 66 47 34', '01 71 / 8 94 31 99');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000701',	'Asch, Rudi', 	  	  'Gutenbergstr. 125',		  '50221 Kln',     '02 21 / 3 58 44 84',	'02 21 / 22 78 81', '02 21 / 3 39 47 34');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000801',	'Quintana, Dolores', 		'Wrlenweg 2',		    '75311 Waldenbuch',      '0 71 57 / 77 73',	'0 71 57 / 64 18', '01 71 / 2 35 79 38');

-- Other VNPersons
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900000901',	'Yoshimura, Masatoshi', 'Kaiserstr. 472',			    '64295 Darmstadt',    '0 89 / 5 53 41 95',	'0 89 / 5 02 42 22', '01 71 / 4 55 66 59');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001001',	'Scholl, Petra', 		'Ulmenweg 28',	  '70153 Stuttgart',   '0711 / 44 12 22',	'07 11 / 5 39 35 06', '01 71 / 5 52 33 21');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001101',	'Asch, Markus', 		  'Mozartallee 5',		    '80233 Mnchen',   '0 89 / 2 23 22 95',	'0 89 / 4 44 52 12', '01 75 / 5 56 67 77');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001201',	'Schmidt, Renate', 	  	'Amadeusweg 23',  '80233 Mnchen',     '0 89 / 2 11 03 32',	'0 89 / 2 03 42 22', '01 71 / 2 33 23 21');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001301',	'Braun, David',	  	    'Wrlenweg 2',		    '17237 Adamsdorf',  '0 22 31 / 22 34 77',	'0 22 31 / 12 32 67', '01 71 / 23 44 98');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001401',	'Asch, Jennifer', 	  'Marktstr. 154',	'75311 Waldenbuch',      '0 89 / 2 44 21 54',	'0 89 /2 03 33 53', '01 66 / 5 43 11 69');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001501',	'Parker, Johann', 	  	  'Breite Strae 55',	    '040 Hamburg',    '0 22 30 / 2 60 56 97',	'4 23 98 55', '01 71 / 2 44 91 20');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001601',	'Thomas, Maria', 	  	'Luisenstr. 2',		    '54689 Irrhausen',     '0 53 22 / 88 46 04',	'0 53 22 / 41 73 81', '01 53 / 2 27 40 15');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001701',	'Gnther, Jakob', 	  	  'Hauptstr. 27',		  '88436 Venusberg',    '0 82 77 / 22 78 94',	'0 82 77 / 94 55 62', '0155 / 9 85 47 41');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001801',	'Lech, Janine', 	  	      'Nordring 345',			    '72114 Tbingen',     '0 70 40 / 22 33 45',	'0 70 40 / 6 64 34', '01 57 / 9 86 96 42');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900001901',	'Schmidt, Philipp', 		    'Am Schwimmbad 22',  '46509 Xanten',    '0 43 22 / 35 67 29',	'0 43 22 / 88 96 41', '0163 / 23 41 98');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900002001',	'Schneider, Martin',	  'Paulinenweg 44',		  '39606 Natterheide',     '0 23 56 / 23 68 27',	'01 21 / 23 09 46', '01 71 / 2 42 04 91');
INSERT INTO DSYSAMPLE.MPPerson VALUES ('900002101',	'Jung, Wilhelm', 		  'Gutsherrenstr. 43',	  '03205 Calau',  '0 55 32 / 80 56 64',	'0 55 42 / 2 17 21 89', '01 72 / 8 05 53 87');

---- SQL statement to INSERT data into VNContact table
-- For patient 900000001


--- Example translatable values for the "VNContact" table
---- 'Friend' is a "Relationship" limited to 10 characters

INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000001',	'900001201',	'Freund(in)');


INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000001',	'900001101',	'Chef(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000001',	'900001001',	'Schwester');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000001',	'900000901',	'Freund(in)');

-- For patient 900000101
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000101',	'900001501',	'Kollegin/Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000101',	'900001301',	'Onkel');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000101',	'900001401',	'Schwester');

-- For patient 900000201
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000201',	'900001701',	'Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000201',	'900001601',	'Mutter');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000201',	'900001801',	'Patin');

-- For patient 900000301
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000301',	'900001901',	'Freund(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000301',	'900002101',	'Chef(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000301',	'900002001',	'Bruder');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000301',	'900001201',	'Schwester');

-- For patient 900000401
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000401',	'900001101',	'Freund(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000401',	'900001401',	'Kollegin/Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000401',	'900000701',	'Chef(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000401',	'900002101',	'Freund(in)');

-- For patient 900000501
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000501',	'900001801',	'Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000501',	'900001001',	'Schwester');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000501',	'900001201',	'Freund(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000501',	'900001101',	'Freund(in)');

-- For patient 900000601
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000601',	'900001301',	'Pate');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000601',	'900001501',	'Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000601',	'900001701',	'Onkel');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000601',	'900001901',	'Onkel');

-- For patient 900000701
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000701',	'900001101',	'Bruder');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000701',	'900001001',	'Chef(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000701',	'900001201',	'Freund(in)');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000701',	'900001501',	'Kollege');

-- For patient 900000801
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000801',	'900001101',	'Bruder');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000801',	'900001901',	'Kollege');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000801',	'900001401',	'Mutter');
INSERT INTO DSYSAMPLE.MPAnsprechpartner VALUES ('900000801',	'900001701',	'Onkel');


---- SQL statement to INSERT data into VNSchedule table

INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000001',	'08:00:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000701',	'08:45:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000101',	'10:00:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000801',	'11:15:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000201',	'11:45:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000401',	'14:15:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000501',	'15:30:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000601',	'16:15:00');
INSERT INTO DSYSAMPLE.MPZEITPLAN VALUES ('900000301',	'17:00:00');

---- SQL statement to INSERT data into Medical Record table

--- Example translatable values for the "VNMedicalRecord" table
---- '160/95' is the blood pressure (systolic/diastolic) (are the units the same everywhere?) 
---- 80 is the pulse rate
---- 104.2 is the temperature in degress Farenheit
---- 150.5 is the weight in pounds (lbs.)
---- 'Notarzt angerufen. Ins Krankenhaus eingewiesen.' is a comment, limited to 100 characters

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (1,	  '20.07.1999',	'09:10:00',	'900000001',	'160/95',	80,	104.2,	150.5,  'Notarzt angerufen. Ins Krankenhaus eingewiesen.');


INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (2,	  '19.07.1999',	'19:53:00',	'900000001',	'155/90',	72,	100.5, 	154.5,	'Patient erhielt starke Schmerzmittel.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (3,	  '13.06.2000',	'18:42:00',	'900000001',	'130/80',	65,	100.2,	170,	  'Ein Tag Urlaub erforderlich.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (4,	  '05.07.2000',	'17:54:00',	'900000001',	'140/83',	68,	101,	  175.2,  'Erstellung eines Ditplans vorgeschlagen.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (5,	  '14.04.2000',	'14:56:00',	'900000101',	'130/84',	59,	99.4,	  192,	  'Bentigt nchste Woche eine speziell ausgebildete Pflegekraft.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (6,	  '15.03.2000',	'12:49:00',	'900000101',	'120/85',	60,	103,	  192,	  'Bentigt nchste Woche eine speziell ausgebildete Pflegekraft.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (7,	  '07.02.1999',	'01:02:00',	'900000101',	'115/86',	51,	102.8,	189,	  'Wunden desinfiziert und verbunden.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (8,	  '15.07.1999',	'11:02:00',	'900000201',	'135/87',	73,	104.2,	169,	  'Sollte zwecks umfassenderer Pflege ins Krankenhaus verlegt werden.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (9,	  '13.07.1999',	'11:47:00',	'900000201',	'180/98',	70,	100.7,	174,	  'Patient erholt sich, bentigt jedoch noch Ruhe.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (10,	'08.06.1999',	'01:17:00',	'900000301',	'200/99',	55,	99,		  148,	  'Medikamente gegen Kopfschmerzen verabreicht.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (11,	'12.05.1999',	'16:40:00',	'900000301',	'175/80',	56,	99.6,	  154,		'Ein Tag Urlaub erforderlich.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (12,	'19.04.2000',	'00:11:00',	'900000301',	'166/81',	51,	106,		145,	  'Notarzt angerufen. Ins Krankenhaus eingewiesen.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (13,	'19.03.2000',	'03:38:00',	'900000401',	'175/82',	76,	98.6,   117,	  'Keine nderung.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (14,	'17.02.2000',	'09:04:00',	'900000401',	'152/83',	65,	98,		  115,	  'Ein Tag Urlaub erforderlich.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (15,	'20.01.2000',	'00:50:00',	'900000401',	'132/84',	72,	98,		  110.2,	'Ein Tag Urlaub erforderlich.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (16,	'08.08.1999',	'03:25:00',	'900000501',	'174/85',	72,	98,		  171.2,	'Gesund.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (17,	'08.07.1999',	'11:31:00',	'900000501',	'165/86',	69,	97.9,	  171,	  'Verstauchten Knchel bandagiert.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (18,	'04.06.1999',	'13:44:00',	'900000501',	'180/87',	68,	98.2,	  181,	  'Gebrochenen Finger bandagiert.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (19,	'04.05.2000',	'02:46:00',	'900000601',	'110/88',	77,	98.4,	  250,	  'OK');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (20,	'22.04.1999',	'02:03:00',	'900000601',	'175/89',	60,	105,	  245,	  'Sehr krank, Einweisung in Krankenhaus vorgeschlagen.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (21,	'04.03.2000',	'04:46:00',	'900000701',	'183/90',	51,	99,		  182,	  'Habe eben mit Patient gesprochen.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (22,	'16.02.2000',	'19:20:00',	'900000701',	'107/91',	60,	99.5,	  175,	  'Ein Tag Urlaub erforderlich.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (23,	'23.01.1999',	'15:47:00',	'900000701',	'122/92',	54,	100,	  178,	  'Ein Tag Urlaub erforderlich.');

INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (24,	'20.07.2000',	'11:37:00',	'900000801',	'162/93',	73,	104.5,  130,	  'Gesundheitszustand bedenklich, nchste Angehrige sollten umgehend benachrichtigt werden.');
INSERT INTO DSYSAMPLE.MPKrankenakte VALUES (25,	'06.07.1999',	'17:16:00',	'900000801',	'163/94',	51,	101.9,  127,	  'Sollte zwecks umfassenderer Pflege ins Krankenhaus verlegt werden.');

COMMIT;
CONNECT RESET;

-- SQL statement to create mirror database
-- "M_VNURSE" can be translated
-- if translated it should correspond to the mirror database name in other ddl files
-- New change


CREATE DATABASE S_MPFLE;
UPDATE DB CONFIG FOR S_MPFLE USING APPLHEAPSZ 512;

-- New for translation
-- SQL statement to create mirror database for jdbc subscription
-- "M_VN2" can be translated

CREATE DATABASE S_MP2;
UPDATE DB CONFIG FOR S_MP2 USING APPLHEAPSZ 512;



