-- VNurse.ddl
-- DDL file for creating tables and populating data for "Visiting Nurse" application on    server side

-- SQL statement to CREATE DATABASE
-- database name "VNURSE" can translated
-- if translated it should correspond to the sample database name in other ddl files 

CREATE DATABASE VNURSE;

-- SQL statement to increase heap size

UPDATE DB CONFIG FOR VNURSE USING APPLHEAPSZ 512;

-- SQL statement to CONNECT to database "VNURSE"
 
CONNECT TO VNURSE;

-- SQL statement to create sample schema
-- New change
 
CREATE SCHEMA DSYSAMPLE;

--- SQL statement to CREATE tables
--- table names "VNPerson", "VNMedicalRecord", "VNContact", and "VNSchedule"
--- can be translated
--- "ID", "Name", "Address", "City", "HomePhone", "WorkPhone", and "MobilePhone"
--- are the column names of table "VNPerson", and can be translated
--- "DSYSAMPLE" IS NEW BUT SHOULD NOT BE TRANSLATED!!

CREATE TABLE DSYSAMPLE. (ID Char(9) not null PRIMARY KEY, ̸ Varchar(40), ּ Varchar(50),  Varchar(25), ȭȣ Varchar(20), ȸȭȣ Varchar(20), ޴ȭȣ Varchar(20));


--- "RecordID", "Date_C", "Time_C", "PatientID", "BloodPressure", "PulseRate", "Temperature", 
--- "Weight", and "Comment" are column names of the table "VNMedicalRecord", and can be translated

CREATE TABLE DSYSAMPLE.Ƿ᷹ڵ (ڵID Integer not null PRIMARY KEY, ¥ Date, ð Time, ȯID Varchar(9),  Char(7), ƹ Smallint, ü Decimal(4,1),  Decimal(5,2), ּ Varchar(100));


--- "PatientID", "ContactID", and "Relationship" are column names of the table "VNContact"
--- and can be translated

CREATE TABLE DSYSAMPLE.ó (ȯID Char(9) not null, óID Char(9) not null,  Varchar(10), Primary Key (ȯID, óID));


--- "PatientID", "Time_C" are column names of table "VNSchedule", and can be translated

CREATE TABLE DSYSAMPLE. (ȯID Varchar(9), ð Time not null PRIMARY KEY);



--- New for translation
--- "RecordID", "NurseName" and "Signature" are columns of table "VNSignature" and can be --- translated 

CREATE TABLE DSYSAMPLE. (ڵID Integer not null PRIMARY KEY, ȣ_̸ Varchar(40),  long varchar for bit data); 


---- SQL statement to INSERT data into VNPerson table
-- Patients

--- Example translatable values for "VNPerson" table
---- 'ȫ浿' is the name of a patient limited to 40 characters
---- ' ǵ 11-25' is an "Address" limited to 50 charaters
---- ', 150-010' is a "City" limited to 25 characters
---- '(02)783-4946' is a "HomePhone" limited to 20 characters
---- '(02)749-7506' is a "WorkPhone" limited to 20 characters
---- '(016)442-3030' is a "MobilePhone"  limited to 20 characters

INSERT INTO DSYSAMPLE. VALUES ('900000001',	'ȫ浿',	  	    ' ǵ 11-25', 			      ', 150-010',      '(02)783-4946', '(02)749-7506', '(016)442-3030');


INSERT INTO DSYSAMPLE. VALUES ('900000101',	'',	    '1 111-444', 		        '⵵ ϳ, 464-900',    '(0347)664-9168', '(02)837-7500', '(011)305-2591');
INSERT INTO DSYSAMPLE. VALUES ('900000201',	'', 		'źε 99-4783',		    '泲 ,681-270',      '(052)269-1655',	'(052)269-7410', '(011)305-6359');
INSERT INTO DSYSAMPLE. VALUES ('900000301',	'Ͽ', 	  	    ' ġ 12-14',		  ', 135-208',      '(02)339-0537',	'(02)269-1548', '(016)898-6483');
INSERT INTO DSYSAMPLE. VALUES ('900000401',	'̰', 		'߱ ʵ 45-11',		    ', 100-300',  '(02)755-4041',	'(02)945-3602', '(018)265-4350');
INSERT INTO DSYSAMPLE. VALUES ('900000501',	'ȫ', 		    '  8899',	    ', 134-030',      '(02)265-0836',	'(02)254-9374', '(017)897-1020');
INSERT INTO DSYSAMPLE. VALUES ('900000601',	'', 	'õ 211-893',			        '⵵ , 423-030',    '(0333)665-4021',	'(0333)664-7348', '(011)894-3199');
INSERT INTO DSYSAMPLE. VALUES ('900000701',	'ڿ', 	  	  'ʱ 赿  APT 11-109',		  ', 100-272',     '(02)260-4484',	'(02)227-8281', '(018)339-4734');
INSERT INTO DSYSAMPLE. VALUES ('900000801',	'ڱ', 		' ̵ 11-175',		    ', 134-060',      '(02)622-1999',	'(02)945-6418', '(016)476-7938');

-- Other VNPersons
INSERT INTO DSYSAMPLE. VALUES ('900000901',	'', 'ö굿 1123-22',			    '⵵ , 423-030',    '(02)680-3788',	'(02)476-8127', '(011)339-0467');
INSERT INTO DSYSAMPLE. VALUES ('900001001',	'ȫ', 		' 4 223-4309',	  'õ,403-010',   '(032)467-4893',	'(032)567-4648', '(019)764-2483');
INSERT INTO DSYSAMPLE. VALUES ('900001101',	'ڱ', 		  'źε 99-4783',		    'õȽ, 330-160',   '(0417)461-2421',	'(0417)567-4310', '(016)575-6617');
INSERT INTO DSYSAMPLE. VALUES ('900001201',	'Ͽ', 	  	'õ 13-024',  ' , 577-800',     '(0658)274-9514',	'(0658)476-4309', '(017)254-7616');
INSERT INTO DSYSAMPLE. VALUES ('900001301',	'',	  	    ' ̵ 11-175',		    '泲 ȫ, 350-800',  '(0451)33-2082',	'(0451)33-2929', '(019)945-6541');
INSERT INTO DSYSAMPLE. VALUES ('900001401',	'輺', 	  ' Ż絿 12-566',	', 134-060',      '(02)622-1840',	'(02)945-3666', '(011)765-7376');
INSERT INTO DSYSAMPLE. VALUES ('900001501',	'迵', 	  	  'ϱ ϵ 116-2',	    ', 136-060',    '(02)567-9741',	'(02)837-7529', '(018)381-0778');
INSERT INTO DSYSAMPLE. VALUES ('900001601',	'', 	  	' 56-39',		    ' ûֽ, 361-272',     '(0431)738-4604',	'(0431)381-3902', '(016)274-0153');
INSERT INTO DSYSAMPLE. VALUES ('900001701',	'', 	  	  '۱ 絿 112',		  ', 156-090',    '(02)764-3035',	'(02)567-2190', '(017)305-1842');
INSERT INTO DSYSAMPLE. VALUES ('900001801',	'', 	  	      'ı ̵ 118',			    ', 133-222',     '(02)894-5724',	'(02)254-9478', '(011)765-9358');
INSERT INTO DSYSAMPLE. VALUES ('900001901',	'ѻ', 		    'ȱ ̵  APT 11-2',  '⵵ Ⱦ, 431-070',    '(0343)435-6729',	'(0343)837-4370', '(011)476-5350');
INSERT INTO DSYSAMPLE. VALUES ('900002001',	'Ͽ',	  '̱ ߵ 11713',		  '⵵ õ, 152-039',     '(032)543-6827',	'(032)461-9961', '(016)242-0491');
INSERT INTO DSYSAMPLE. VALUES ('900002101',	'', 		  'õ  87-45',	  ', 157-020',  '(02)664-2382',	'(02)374-7421', '(017)533-8716');

---- SQL statement to INSERT data into VNContact table
-- For patient 900000001


--- Example translatable values for the "VNContact" table
---- 'ģ' is a "Relationship" limited to 10 characters

INSERT INTO DSYSAMPLE.ó VALUES ('900000001',	'900001201',	'ģ');


INSERT INTO DSYSAMPLE.ó VALUES ('900000001',	'900001101',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000001',	'900001001',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000001',	'900000901',	'ģ');

-- For patient 900000101
INSERT INTO DSYSAMPLE.ó VALUES ('900000101',	'900001501',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000101',	'900001301',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000101',	'900001401',	'');

-- For patient 900000201
INSERT INTO DSYSAMPLE.ó VALUES ('900000201',	'900001701',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000201',	'900001601',	'Ӵ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000201',	'900001801',	'');

-- For patient 900000301
INSERT INTO DSYSAMPLE.ó VALUES ('900000301',	'900001901',	'ģ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000301',	'900002101',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000301',	'900002001',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000301',	'900001201',	'');

-- For patient 900000401
INSERT INTO DSYSAMPLE.ó VALUES ('900000401',	'900001101',	'ģ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000401',	'900001401',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000401',	'900000701',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000401',	'900002101',	'ģ');

-- For patient 900000501
INSERT INTO DSYSAMPLE.ó VALUES ('900000501',	'900001801',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000501',	'900001001',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000501',	'900001201',	'ģ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000501',	'900001101',	'ģ');

-- For patient 900000601
INSERT INTO DSYSAMPLE.ó VALUES ('900000601',	'900001301',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000601',	'900001501',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000601',	'900001701',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000601',	'900001901',	'');

-- For patient 900000701
INSERT INTO DSYSAMPLE.ó VALUES ('900000701',	'900001101',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000701',	'900001001',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000701',	'900001201',	'ģ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000701',	'900001501',	'');

-- For patient 900000801
INSERT INTO DSYSAMPLE.ó VALUES ('900000801',	'900001101',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000801',	'900001901',	'');
INSERT INTO DSYSAMPLE.ó VALUES ('900000801',	'900001401',	'Ӵ');
INSERT INTO DSYSAMPLE.ó VALUES ('900000801',	'900001701',	'');


---- SQL statement to INSERT data into VNSchedule table

INSERT INTO DSYSAMPLE. VALUES ('900000001',	'08:00:00');
INSERT INTO DSYSAMPLE. VALUES ('900000701',	'08:45:00');
INSERT INTO DSYSAMPLE. VALUES ('900000101',	'10:00:00');
INSERT INTO DSYSAMPLE. VALUES ('900000801',	'11:15:00');
INSERT INTO DSYSAMPLE. VALUES ('900000201',	'11:45:00');
INSERT INTO DSYSAMPLE. VALUES ('900000401',	'14:15:00');
INSERT INTO DSYSAMPLE. VALUES ('900000501',	'15:30:00');
INSERT INTO DSYSAMPLE. VALUES ('900000601',	'16:15:00');
INSERT INTO DSYSAMPLE. VALUES ('900000301',	'17:00:00');

---- SQL statement to INSERT data into Medical Record table

--- Example translatable values for the "VNMedicalRecord" table
---- '160/95' is the blood pressure (systolic/diastolic) (are the units the same everywhere?) 
---- 80 is the pulse rate
---- 104.2 is the temperature in degress Farenheit
---- 150.5 is the weight in pounds (lbs.)
---- '119 ȣǾϴ.  Կ߽ϴ.' is a comment, limited to 100 characters

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (1,	  '1999-07-20',	'09:10:00',	'900000001',	'160/95',	80,	104.2,	150.5,  '119 ȣǾϴ.  Կ߽ϴ.');


INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (2,	  '1999-07-19',	'19:53:00',	'900000001',	'155/90',	72,	100.5, 	154.5,	'   ֽʽÿ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (3,	  '2000-06-13',	'18:42:00',	'900000001',	'130/80',	65,	100.2,	170,	  ' Ϸ  մϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (4,	  '2000-05-07',	'17:54:00',	'900000001',	'140/83',	68,	101,	  175.2,  '  ȹ   ϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (5,	  '2000-04-14',	'14:56:00',	'900000101',	'130/84',	59,	99.4,	  192,	  ' ֿ Ư ȣ ʿմϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (6,	  '2000-03-15',	'12:49:00',	'900000101',	'120/85',	60,	103,	  192,	  ' Ư ȣ ʿմϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (7,	  '1999-02-07',	'01:02:00',	'900000101',	'115/86',	51,	102.8,	189,	  'ó ҵϰ ش ʽÿ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (8,	  '1999-07-15',	'11:02:00',	'900000201',	'135/87',	73,	104.2,	169,	  '  ġḦ     ϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (9,	  '1999-07-13',	'11:47:00',	'900000201',	'180/98',	70,	100.7,	174,	  'ȯڰ ȸ   ޽ ʿմϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (10,	'1999-06-08',	'01:17:00',	'900000301',	'200/99',	55,	99,		  148,	  ' ֽʽÿ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (11,	'1999-05-12',	'16:40:00',	'900000301',	'175/80',	56,	99.6,	  154,		' Ϸ  մϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (12,	'2000-04-19',	'00:11:00',	'900000301',	'166/81',	51,	106,		145,	  '119 ȣǾϴ.  Կ߽ϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (13,	'2000-03-19',	'03:38:00',	'900000401',	'175/82',	76,	98.6,   117,	  ' ʾҽϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (14,	'2000-02-17',	'09:04:00',	'900000401',	'152/83',	65,	98,		  115,	  ' Ϸ  մϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (15,	'2000-01-20',	'00:50:00',	'900000401',	'132/84',	72,	98,		  110.2,	' Ϸ  մϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (16,	'1999-08-08',	'03:25:00',	'900000501',	'174/85',	72,	98,		  171.2,	'ǰմϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (17,	'1999-07-08',	'11:31:00',	'900000501',	'165/86',	69,	97.9,	  171,	  ' ߸ ش ʽÿ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (18,	'1999-06-04',	'13:44:00',	'900000501',	'180/87',	68,	98.2,	  181,	  'η հ ش ʽÿ');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (19,	'2000-05-04',	'02:46:00',	'900000601',	'110/88',	77,	98.4,	  250,	  'ϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (20,	'1999-04-22',	'02:03:00',	'900000601',	'175/89',	60,	105,	  245,	  'ſ Ŵϴ.  Կϴ  ϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (21,	'2000-03-04',	'04:46:00',	'900000701',	'183/90',	51,	99,		  182,	  '  Žʽÿ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (22,	'2000-02-16',	'19:20:00',	'900000701',	'107/91',	60,	99.5,	  175,	  ' Ϸ  մϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (23,	'1999-01-23',	'15:47:00',	'900000701',	'122/92',	54,	100,	  178,	  ' Ϸ  մϴ.');

INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (24,	'2000-07-20',	'11:37:00',	'900000801',	'162/93',	73,	104.5,  130,	  'ɰϰ Ŵϴ.  ģ ؾ մϴ.');
INSERT INTO DSYSAMPLE.Ƿ᷹ڵ VALUES (25,	'1999-07-06',	'17:16:00',	'900000801',	'163/94',	51,	101.9,  127,	  '  ġḦ     ϴ.');

COMMIT;
CONNECT RESET;

-- SQL statement to create mirror database
-- "M_VNURSE" can be translated
-- if translated it should correspond to the mirror database name in other ddl files
-- New change


CREATE DATABASE M_VNURSE;
UPDATE DB CONFIG FOR M_VNURSE USING APPLHEAPSZ 512;

-- New for translation
-- SQL statement to create mirror database for jdbc subscription
-- "M_VN2" can be translated

CREATE DATABASE M_VN2;
UPDATE DB CONFIG FOR M_VN2 USING APPLHEAPSZ 512;



