# @echo off
# --------------------------------------------------------------------
# (C) COPYRIGHT International Business Machines Corp. 2000-2001
# All Rights Reserved
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# NAME:	dsy_was_install.sh
#
# FUNCTION:
#	Install IBM DB2 Everyplace SyncServer into WebSphere 3.5.x
#	A valid dsyinstance must already exist.
#
# --------------------------------------------------------------------

. install_messages.sh

IF NOT EXIST "$1" goto error
export WAS_HOME=$1

if "$2" == "" goto error
export ADMIN_NODENAME=$2

IF NOT EXIST "$3" goto error
export DSY_INSTDIR="$3"

IF NOT EXIST "$4" goto error
export DSY_SQLLIBINSTDIR=$4

# cp *.xml "$WAS_HOME/bin"
export PATH="$WAS_HOME/bin":$PATH
export EXEC="$WAS_HOME/bin/XMLConfig.sh"
# cd "$WAS_HOME/bin"

export WORKINGDIR=$DSY_INSTDIR/Server

. $EXEC -adminNodeName $ADMIN_NODENAME -import ../common/dsy_was354_install.xml -substitute "DSYINSTDIR=$DSY_INSTDIR:DSYSQLLIBINSTDIR=$DSY_SQLLIBINSTDIR:dsyuser=:dsygroup=:node=$ADMIN_NODENAME:WORKINGDIR=$WORKINGDIR"
goto end

:error
echo $MESG_Usage: %0 $MESG_Arguments_Install
goto exit

:end
echo $MESG_SyncServer_Installed_in_WAS
goto exit

:exit
