#!/bin/ksh
# java_check	This file looks for java under the system
#
# Version:	06 June 2001
# Changes:
#################################################################################
[ "${DEBUG}" = "ON" ] && echo "Executing java_check"


# Check to see if JAVA_HOME_118 has been defined...
if [ "${JAVA_HOME_118}" = "" ]; then
   echo "***JAVA_HOME_118 not set.  Checking obvious places..."
   if [ -d /usr/jdk118 ]; then
#     #linux
     echo "***Setting JAVA_HOME_118 to /usr/jdk118"
     export JAVA_HOME_118=/usr/jdk118
   elif [ -d /usr/jdk_base ]; then
#     #aix
     echo "***Setting JAVA_HOME_118 to /usr/jdk_base"
     export JAVA_HOME_118=/usr/jdk_base
   elif [ -d /usr/java1.1 ]; then
#     #solaris
     echo "***Setting JAVA_HOME_118 to /usr/java1.1"
     export JAVA_HOME_118=/usr/java1.1
   else
     echo "***Cannot find a suitable JAVA_HOME_118, exiting."
     exit 1
   fi
fi

export PACKJAVA12="N"

# remove support for jdk122 on linux
# becuase of jdbc bug 
if [ "$DSYOS" = "lin" ]; then
	export PACKJAVA12="N"
elif [ "$DSYOS" = "sol" ]; then
	export PACKJAVA12="Y"
fi

if [ "$PACKJAVA12" = "N" ]; then 
#	# Check to see if JAVA_HOME has been defined...
	if [ "${JAVA_HOME}" = "" ] || [ ! -d  "${JAVA_HOME}" ]; then
	   echo "***JAVA_HOME not set.  Checking obvious places..."
	   if [ -d /opt/IBMJava2-122 ]; then
	     echo "***Setting JAVA_HOME to /opt/IBMJava2-122"
	     export JAVA_HOME=/opt/IBMJava2-122
	   elif [ -d /usr/java1.2 ]; then
             echo "***Setting JAVA_HOME to /usr/java1.2"
             export JAVA_HOME=/usr/java1.2
           elif [ -d /usr/java_dev2 ]; then
             echo "***Setting JAVA_HOME to /usr/java_dev2"
             export JAVA_HOME=/usr/java_dev2	  
	   elif [ -d /opt/IBMJava2-13 ]; then
	     echo "***Setting JAVA_HOME to /opt/IBMJava2-13"
	     export JAVA_HOME=/opt/IBMJava2-13
	   elif [ -d /usr/java1.3 ]; then
             echo "***Setting JAVA_HOME to /usr/java1.3"
             export JAVA_HOME=/usr/java1.3
	   else
	     echo "***Cannot find a suitable JAVA_HOME, exiting."
	     exit 1
	   fi
	fi
else
#	#Default JAVAHOME
	if [ "${DSYOS}" = "lin" ]; then
#		# because of jdbc bug use jdk 118 for extractor
		JAVA_HOME="$JAVA_HOME_118"
	elif [ "${DSYOS}" = "aix" ]; then
		JAVA_HOME="$ROOT_DSYHOME$DSY_WAS_SERVER_DIR_DEST/AppServer/java"
	elif [ "${DSYOS}" = "sol" ]; then
		JAVA_HOME="$ROOT_DSYHOME$DSY_WAS_SERVER_DIR_DEST/AppServer/java"
	else
		JAVA_HOME="$ROOT_DSYHOME$DSY_WAS_SERVER_DIR_DEST/AppServer/java"
	fi
fi