#!/bin/ksh
# language_table This file contains table that maches lang between systems
#                Solaris, NT, linux, AIX and SyncServer
#
# Version:	06 June 2001
# Author:	Luis Alves <lalves@us.ibm.com>
# Changes:
#################################################################################

[ "${DEBUG}" = "ON" ] && echo "Executing language_table"

#################################
# Install the message file to DB2
#################################

# Language            # DSYLANG    # WinNT      # Linux udb 72      # Solaris
# German              # deu        # de_DE      # de_DE/            # de/
# English US          # enu        # en_US      # en_US/            # en_US/
# Spanish             # esp        # es_ES      # es_ES/            # es/
# Italian             # ita        # it_IT      # it_IT/            # it/
# French              # fra        # fr_FR      # fr_FR/            # fr/
# Japanese            # jpn        # ja_JP      # ja_JP.ujis/       # ja/
                                                                    # ja_JP -> ja/
                                                                    # ja_JP.eucJP -> ja_JP/

# Korean              # kor        # ko_KR      # ko/               # ko/
# Simplified Chinese  # chs        # zh_CN      # zh/               # zh/
                                                # zh_CN.EUC -> zh/
                                                # zh_CN.GBK -> zh/
# Traditional Chinese # cht        # zh_TW      # zh_TW.Big5/       # zh_TW.BIG5/
                                                                    # zh_TW -> zh_TW.BIG5/

# Arabic              # ara        # ar
# Czech               # csy        # cs_CZ
# Hebrew              # heb        # iw_IL

# Portuguese                       #            # pt_BR/            # pt_BR/


# German
export de_DE_dsy=deu
export de_DE_win=de_DE
export de_DE_lin=de_DE
export de_DE_sol=de
export de_DE_aix=de_DE

export de_DE_win_txt_cp=ISO-8859-1
export de_DE_lin_txt_cp=ISO-8859-1
export de_DE_sol_txt_cp=ISO-8859-1
export de_DE_aix_txt_cp=ISO-8859-1

export de_DE_compatible="de de_DE"
export de_DE_code_pages="$de_DE_win_txt_cp $de_DE_lin_txt_cp $de_DE_sol_txt_cp $de_DE_aix_txt_cp"

# German code page IBM-850
export De_DE_dsy=DEU
export De_DE_win=De_DE
export De_DE_lin=De_DE
export De_DE_sol=De
export De_DE_aix=De_DE

export De_DE_win_txt_cp=ISO-8859-1
export De_DE_lin_txt_cp=ISO-8859-1
export De_DE_sol_txt_cp=ISO-8859-1
export De_DE_aix_txt_cp=IBM850

export De_DE_compatible="De De_DE"
export De_DE_code_pages="$De_DE_win_txt_cp $De_DE_lin_txt_cp $De_DE_sol_txt_cp $De_DE_aix_txt_cp"

# English US
export en_US_dsy=enu
export en_US_win=en_US
export en_US_lin=en_US
export en_US_sol=en_US
export en_US_aix=en_US

export en_US_win_txt_cp=ISO-8859-1
export en_US_lin_txt_cp=ISO-8859-1
export en_US_sol_txt_cp=ISO-8859-1
export en_US_aix_txt_cp=ISO-8859-1

export en_US_compatible="en_US en"
export en_US_code_pages="$en_US_win_txt_cp $en_US_lin_txt_cp $en_US_sol_txt_cp $en_US_aix_txt_cp"


# Spanish
export es_ES_dsy=esp
export es_ES_win=es_ES
export es_ES_lin=es_ES
export es_ES_sol=es
export es_ES_aix=es_ES

export es_ES_win_txt_cp=ISO-8859-1
export es_ES_lin_txt_cp=ISO-8859-1
export es_ES_sol_txt_cp=ISO-8859-1
export es_ES_aix_txt_cp=ISO-8859-1

export es_ES_compatible="es es_ES"
export es_ES_code_pages="$es_ES_win_txt_cp $es_ES_lin_txt_cp $es_ES_sol_txt_cp $es_ES_aix_txt_cp"

# Spanish code page IBM-850
export Es_ES_dsy=ESP
export Es_ES_win=Es_ES
export Es_ES_lin=Es_ES
export Es_ES_sol=Es
export Es_ES_aix=Es_ES

export Es_ES_win_txt_cp=ISO-8859-1
export Es_ES_lin_txt_cp=ISO-8859-1
export Es_ES_sol_txt_cp=ISO-8859-1
export Es_ES_aix_txt_cp=IBM850

export Es_ES_compatible="Es Es_ES"
export Es_ES_code_pages="$Es_ES_win_txt_cp $Es_ES_lin_txt_cp $Es_ES_sol_txt_cp $Es_ES_aix_txt_cp"

# Italian             
export it_IT_dsy=ita
export it_IT_win=it_IT
export it_IT_lin=it_IT
export it_IT_sol=it
export it_IT_aix=it_IT

export it_IT_win_txt_cp=ISO-8859-1
export it_IT_lin_txt_cp=ISO-8859-1
export it_IT_sol_txt_cp=ISO-8859-1
export it_IT_aix_txt_cp=ISO-8859-1

export it_IT_compatible="it it_IT"
export it_IT_code_pages="$it_IT_win_txt_cp $it_IT_lin_txt_cp $it_IT_sol_txt_cp $it_IT_aix_txt_cp"

# Italian code page IBM-850            
export It_IT_dsy=ITA
export It_IT_win=It_IT
export It_IT_lin=It_IT
export It_IT_sol=It
export It_IT_aix=It_IT

export It_IT_win_txt_cp=ISO-8859-1
export It_IT_lin_txt_cp=ISO-8859-1
export It_IT_sol_txt_cp=ISO-8859-1
export It_IT_aix_txt_cp=IBM850

export It_IT_compatible="It It_IT"
export It_IT_code_pages="$It_IT_win_txt_cp $It_IT_lin_txt_cp $It_IT_sol_txt_cp $It_IT_aix_txt_cp"

# French              
export fr_FR_dsy=fra
export fr_FR_win=fr_FR
export fr_FR_lin=fr_FR
export fr_FR_sol=fr
export fr_FR_aix=fr_FR

export fr_FR_win_txt_cp=ISO-8859-1
export fr_FR_lin_txt_cp=ISO-8859-1
export fr_FR_sol_txt_cp=ISO-8859-1
export fr_FR_aix_txt_cp=ISO-8859-1

export fr_FR_compatible="fr fr_FR"
export fr_FR_code_pages="$fr_FR_win_txt_cp $fr_FR_lin_txt_cp $fr_FR_sol_txt_cp $fr_FR_aix_txt_cp"

# French code page IBM-850
export Fr_FR_dsy=FRA
export Fr_FR_win=Fr_FR
export Fr_FR_lin=Fr_FR
export Fr_FR_sol=Fr
export Fr_FR_aix=Fr_FR

export Fr_FR_win_txt_cp=ISO-8859-1
export Fr_FR_lin_txt_cp=ISO-8859-1
export Fr_FR_sol_txt_cp=ISO-8859-1
export Fr_FR_aix_txt_cp=IBM850

export Fr_FR_compatible="Fr Fr_FR"
export Fr_FR_code_pages="$Fr_FR_win_txt_cp $Fr_FR_lin_txt_cp $Fr_FR_sol_txt_cp $Fr_FR_aix_txt_cp"

# Japanese euc           
export ja_JP_dsy=jpn
export ja_JP_win=ja_JP
export ja_JP_lin=ja_JP.ujis
export ja_JP_sol=ja
export ja_JP_aix=ja_JP

export ja_JP_win_txt_cp=SHIFT-JIS
export ja_JP_lin_txt_cp=EUC-JP
export ja_JP_sol_txt_cp=EUC-JP
export ja_JP_aix_txt_cp=EUC-JP

export ja_JP_compatible="ja ja_JP ja_JP.ujis"
export ja_JP_code_pages="$ja_JP_win_txt_cp $ja_JP_lin_txt_cp $ja_JP_sol_txt_cp $ja_JP_aix_txt_cp"

# Japanese SHIFT-JIS             
export Ja_JP_dsy=JPN
export Ja_JP_win=Ja_JP
export Ja_JP_lin=Ja_JP.ujis
export Ja_JP_sol=Ja
export Ja_JP_aix=Ja_JP

export Ja_JP_win_txt_cp=SHIFT-JIS
export Ja_JP_lin_txt_cp=EUC-JP
export Ja_JP_sol_txt_cp=EUC-JP
export Ja_JP_aix_txt_cp=SHIFT-JIS

export Ja_JP_compatible="Ja Ja_JP Ja_JP.ujis"
export Ja_JP_code_pages="$Ja_JP_win_txt_cp $Ja_JP_lin_txt_cp $Ja_JP_sol_txt_cp $Ja_JP_aix_txt_cp"


# Korean              
export ko_KR_dsy=kor
export ko_KR_win=ko_KR
export ko_KR_lin=ko
export ko_KR_sol=ko
export ko_KR_aix=ko_KR

export ko_KR_win_txt_cp=EUC-KR
export ko_KR_lin_txt_cp=EUC-KR
export ko_KR_sol_txt_cp=EUC-KR
export ko_KR_aix_txt_cp=EUC-KR

export ko_KR_compatible="ko ko_KR"
export ko_KR_code_pages="$ko_KR_win_txt_cp $ko_KR_lin_txt_cp $ko_KR_sol_txt_cp $ko_KR_aix_txt_cp"


# Simplified Chinese  
export zh_CN_dsy=chs
export zh_CN_win=zh_CN
export zh_CN_lin=zh
export zh_CN_sol=zh
export zh_CN_aix=zh_CN

export zh_CN_win_txt_cp=EUC-CN
export zh_CN_lin_txt_cp=EUC-CN
export zh_CN_sol_txt_cp=EUC-CN
export zh_CN_aix_txt_cp=EUC-CN

export zh_CN_compatible="zh zh_CN"
export zh_CN_code_pages="$zh_CN_win_txt_cp $zh_CN_lin_txt_cp $zh_CN_sol_txt_cp $zh_CN_aix_txt_cp"


# Traditional Chinese euc 
export zh_TW_dsy=cht
export zh_TW_win=zh_TW
export zh_TW_lin=zh_TW.Big5
export zh_TW_sol=zh_TW.BIG5
export zh_TW_aix=zh_TW

export zh_TW_win_txt_cp=BIG5
export zh_TW_lin_txt_cp=BIG5
export zh_TW_sol_txt_cp=EUC-TW
export zh_TW_aix_txt_cp=EUC-TW

export zh_TW_compatible="zh_TW zh_TW.BIG5 zh_TW.Big5"
export zh_TW_code_pages="$zh_TW_win_txt_cp $zh_TW_lin_txt_cp $zh_TW_sol_txt_cp $zh_TW_aix_txt_cp"

# Traditional Chinese BIG5
export Zh_TW_dsy=CHT
export Zh_TW_win=Zh_TW
export Zh_TW_lin=Zh_TW.Big5
export Zh_TW_sol=Zh_TW.BIG5
export Zh_TW_aix=Zh_TW

export Zh_TW_win_txt_cp=BIG5
export Zh_TW_lin_txt_cp=BIG5
export Zh_TW_sol_txt_cp=BIG5
export Zh_TW_aix_txt_cp=BIG5

export Zh_TW_compatible="Zh_TW Zh_TW.BIG5 Zh_TW.Big5"
export Zh_TW_code_pages="$Zh_TW_win_txt_cp $Zh_TW_lin_txt_cp $Zh_TW_sol_txt_cp $Zh_TW_aix_txt_cp"

# Arabic              
export ar_dsy=ara
export ar_win=ar
export ar_lin=ar
export ar_sol=ar
export ar_aix=ar

export ar_win_txt_cp=CP1256
export ar_lin_txt_cp=ISO-8859-6
export ar_sol_txt_cp=ISO-8859-6
export ar_aix_txt_cp=ISO-8859-6

export ar_compatible="ar"
export ar_code_pages="$ar_win_txt_cp $ar_lin_txt_cp $ar_sol_txt_cp $ar_aix_txt_cp"

# Czech               
export cs_CZ_dsy=csy
export cs_CZ_win=cs_CZ
export cs_CZ_lin=cs_CZ
export cs_CZ_sol=cs_CZ
export cs_CZ_aix=cs_CZ

export cs_CZ_win_txt_cp=ISO-8859-2
export cs_CZ_lin_txt_cp=ISO-8859-2
export cs_CZ_sol_txt_cp=ISO-8859-2
export cs_CZ_aix_txt_cp=ISO-8859-2

export cs_CZ_compatible="cs_CZ"
export cs_CZ_code_pages="$cs_CZ_win_txt_cp $cs_CZ_lin_txt_cp $cs_CZ_sol_txt_cp $cs_CZ_aix_txt_cp"

# Hebrew              
export iw_IL_dsy=heb
export iw_IL_win=iw_IL
export iw_IL_lin=iw_IL
export iw_IL_sol=iw_IL
export iw_IL_aix=iw_IL

export iw_IL_win_txt_cp=CP1255
export iw_IL_lin_txt_cp=ISO-8859-8
export iw_IL_sol_txt_cp=ISO-8859-8
export iw_IL_aix_txt_cp=ISO-8859-8

export iw_IL_compatible="iw_IL"
export iw_IL_code_pages="$iw_IL_win_txt_cp $iw_IL_lin_txt_cp $iw_IL_sol_txt_cp $iw_IL_aix_txt_cp"

#Globals
export dsy_locales="$de_DE_dsy $en_US_dsy $es_ES_dsy $it_IT_dsy $fr_FR_dsy $ja_JP_dsy $ko_KR_dsy $zh_CN_dsy $zh_TW_dsy $ar_dsy $cs_CZ_dsy $iw_IL_dsy $De_DE_dsy $Es_ES_dsy $It_IT_dsy $Fr_FR_dsy $Ja_JP_dsy $Zh_TW_dsy"
export win_locales="$de_DE_win $en_US_win $es_ES_win $it_IT_win $fr_FR_win $ja_JP_win $ko_KR_win $zh_CN_win $zh_TW_win $ar_win $cs_CZ_win $iw_IL_win $De_DE_win $Es_ES_win $It_IT_win $Fr_FR_win $Ja_JP_win $Zh_TW_win"
export lin_locales="$de_DE_lin $en_US_lin $es_ES_lin $it_IT_lin $fr_FR_lin $ja_JP_lin $ko_KR_lin $zh_CN_lin $zh_TW_lin $ar_lin $cs_CZ_lin $iw_IL_lin $De_DE_lin $Es_ES_lin $It_IT_lin $Fr_FR_lin $Ja_JP_lin $Zh_TW_lin"
export sol_locales="$de_DE_sol $en_US_sol $es_ES_sol $it_IT_sol $fr_FR_sol $ja_JP_sol $ko_KR_sol $zh_CN_sol $zh_TW_sol $ar_sol $cs_CZ_sol $iw_IL_sol $De_DE_sol $Es_ES_sol $It_IT_sol $Fr_FR_sol $Ja_JP_sol $Zh_TW_sol"
export aix_locales="$de_DE_aix $en_US_aix $es_ES_aix $it_IT_aix $fr_FR_aix $ja_JP_aix $ko_KR_aix $zh_CN_aix $zh_TW_aix $ar_aix $cs_CZ_aix $iw_IL_aix $De_DE_aix $Es_ES_aix $It_IT_aix $Fr_FR_aix $Ja_JP_aix $Zh_TW_aix"