########################################################################
#
#   The result of the following code is as follows;
#   For the database specified in the input parameter,
#   IF LOGRETAIN == OFF THEN
#      	SET LOGRETAIN = CAPTURE
#   FORCE APPLICATONS ALL is run if required, unless the user
#   chooses to escape at the prompt.  In this case,
#   FORCE APPLICATONS ALL is recommended following this action.
#   Failure to FORCE APPLICATIONS ALL may cause synchronization to fail.
#
########################################################################

# Set the path to the temporary files

CFG=$DSYINSTDIR/logs/dsytemp.cfg
FND=$DSYINSTDIR/logs/dsytemp.fnd
APP=$DSYINSTDIR/logs/dsytemp.app

# Set the messages

.  $DSYPATH/udb/bnd/$LANG/bindcapmessage.sh $1

if [ -z "$1" ] 
then
	echo .
	echo $msg12
	echo $msg13
	echo .
	exit 1
fi

if [ "$1" = "-h" ] 
then
	echo .
	echo $msg12
	echo $msg13
	echo .
	exit 1
fi

# Cleanup temporary files from previous execution

if [ -f $CFG ] 
then
	rm $CFG
fi

if [ -f $FND ] 
then
	rm $FND
fi

if [ -f $APP ] 
then
	rm $APP
fi

db2start

# Put database configuration report into file dsytemp.cfg
db2 get database configuration for $1 > $CFG

# Put logretain database configuration report line into file dsytemp.fnd
grep "(LOGRETAIN)" < $CFG> $FND 

if [ -s $FND ]
then
	# Valid values for logretain are RECOVERY, CAPTURE, and OFF.  Branch on value.
	# Cannot branch on value of recovery, since that already appears in line.
	
	value=`grep "OFF" $FND`
        echo $value
        if [ -n "$value" ]
        then
              	# LOGRETAIN = OFF
		echo .
              	echo $msg4
              	echo $msg5
		echo .
              	db2 update database configuration for $1 using logretain capture
		echo $msg6
		echo .
		echo $msg7
		echo .
		echo $msg8
		echo .
		echo $msg9
		echo .
		read a
              		
		db2 force applications all
		
		# Loop till all the applications actually get disconnected. 
		
		res=''
		
		while [ -z res ]
		do		
			db2 list application > $APP
			res = `grep "SQL1611W" $APP` 
		done	
        else
              	value=`grep "CAPTURE" $FND`
              	if [ -n "$value" ];
              	then
              		# LOGRETAIN = CAPTURE
              		echo .
			echo $msg3
			echo .
	        else
                        # LOGRETAIN = RECOVERY
                        echo .
			echo $msg1
			echo $msg2
			echo .
                fi
        fi
	if [ -f $CFG ] 
	then
		rm $CFG
	fi

	if [ -f $FND ] 
	then
		rm $FND
	fi

	if [ -f $APP ] 
	then
		rm $APP
	fi
else
	# We didn't find a line containing "(LOGRETAIN)" in the temporary file
        echo .
	echo $msg10
	echo $msg11
	echo .
fi
